Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.jaxp
Class DocumentBuilderImpl

    java.lang.Object
      |
      +--javax.xml.parsers.DocumentBuilder
            |
            +--weblogic.apache.xerces.jaxp.DocumentBuilderImpl

public class DocumentBuilderImpl
extends javax.xml.parsers.DocumentBuilder

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Revision: 1.9 $
Author:
  Rajiv Mordani, Edwin Goei

Method Summary
`org.w3c.dom.DOMImplementation` | `getDOMImplementation()`
`boolean` | `isNamespaceAware()`
`boolean` | `isValidating()`
`org.w3c.dom.Document` | `newDocument()` Non-preferred: use the getDOMImplementation() method instead of this one to get a DOM Level 2 DOMImplementation object and then use DOM Level 2 methods to create a DOM Document object.
`org.w3c.dom.Document` | `parse(org.xml.sax.InputSource is)`
`void` | `setEntityResolver(org.xml.sax.EntityResolver er)`
`void` | `setErrorHandler(org.xml.sax.ErrorHandler eh)`

Methods inherited from class javax.xml.parsers.DocumentBuilder
`parse, parse, parse, parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newDocument

    public org.w3c.dom.Document newDocument()

  Non-preferred: use the getDOMImplementation() method instead of this one to get a DOM Level 2 DOMImplementation object and then use DOM Level 2 methods to create a DOM Document object.

  Overrides:
    newDocument in class javax.xml.parsers.DocumentBuilder

### getDOMImplementation

    public org.w3c.dom.DOMImplementation getDOMImplementation()

  Overrides:
    getDOMImplementation in class javax.xml.parsers.DocumentBuilder

### parse

    public org.w3c.dom.Document parse(org.xml.sax.InputSource is)
                               throws org.xml.sax.SAXException,
                                      java.io.IOException

  Overrides:
    parse in class javax.xml.parsers.DocumentBuilder

### isNamespaceAware

    public boolean isNamespaceAware()

  Overrides:
    isNamespaceAware in class javax.xml.parsers.DocumentBuilder

### isValidating

    public boolean isValidating()

  Overrides:
    isValidating in class javax.xml.parsers.DocumentBuilder

### setEntityResolver

    public void setEntityResolver(org.xml.sax.EntityResolver er)

  Overrides:
    setEntityResolver in class javax.xml.parsers.DocumentBuilder

### setErrorHandler

    public void setErrorHandler(org.xml.sax.ErrorHandler eh)

  Overrides:
    setErrorHandler in class javax.xml.parsers.DocumentBuilder

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference